0

rv cant load my pySide or PyQt modules within rv-python2.6

Subject says it all.

Here is my globals and the errors.

Anyone have any ideas?

 

 

Traceback (most recent call last):
File "C:\Program Files (x86)\Tweak\RV-3.12.15-32\plugins\Python\pysidedock.py", line 2, in
from PySide.QtCore import QFile
ImportError: No module named PySide.QtCore
ERROR: python module pysidedock could not be imported
Traceback (most recent call last):
File "C:\Program Files (x86)\Tweak\RV-3.12.15-32\plugins\Python\dsProjectCreate.py", line 4, in
from PyQt4 import QtGui, QtCore, uic
ImportError: No module named PyQt4
ERROR: python module dsProjectCreate could not be imported
************ Environment Variables ******************
PATH=C:/Program Files (x86)/Tweak/RV-3.12.15-32/bin;C:\Python27\Lib\site-packages\PyQt4;C:\Python26\Lib\site-packages\PyQt4;C:\Program Files (x86)\NVIDIA Corporation\PhysX\Common;C:\Python27\Lib\site-packages\PyQt4;C:\Program Files\Exotic Matter\Naiad-0.6\Clients\NCmd\bin;C:\Program Files\Exotic Matter\Naiad-0.6\Clients\NStudio\bin;C:\Program Files\Exotic Matter\Naiad-0.6\Clients\NStudio\lib;C:\Program Files\Exotic Matter\Naiad-0.6\Server\lib;C:\Program Files\Exotic Matter\Naiad-0.6\Server\bin;C:\Windows\system32;C:\Windows;C:\Windows\System32\Wbem;C:\Windows\System32\WindowsPowerShell\v1.0\;C:\Program Files\Intel\DMIX;C:\Program Files (x86)\QuickTime\QTSystem\;c:\Program Files (x86)\Microsoft SQL Server\90\Tools\binn\;C:\Program Files (x86)\Mercurial
LIBQUICKTIME_PLUGIN_DIR=C:/Program Files (x86)/Tweak/RV-3.12.15-32/plugins/libquicktime
MU_MODULE_PATH=C:/Users/David/AppData/Roaming/RV/Mu;C:/Program Files (x86)/Tweak/RV-3.12.15-32/plugins/Mu
PYTHONPATH=C:/Program Files (x86)/Tweak/RV-3.12.15-32/lib/python2.6;C:/Program Files (x86)/Tweak/RV-3.12.15-32/lib/python2.6/lib-dynload;C:/Users/David/AppData/Roaming/RV/Python;C:/Program Files (x86)/Tweak/RV-3.12.15-32/plugins/Python
PYTHONHOME=C:/Program Files (x86)/Tweak/RV-3.12.15-32
RV_APP_INIT=C:/Program Files (x86)/Tweak/RV-3.12.15-32/scripts/rv/rvrc.mu
RV_APP_RV=C:/Program Files (x86)/Tweak/RV-3.12.15-32/bin/rv.exe
RV_APP_RVIO=C:/Program Files (x86)/Tweak/RV-3.12.15-32/bin/rvio_hw.exe
OIIO_LIBRARY_PATH=C:/Program Files (x86)/Tweak/RV-3.12.15-32/plugins/oiio;C:/Program Files (x86)/Tweak/RV-3.12.15-32/plugins/OIIO
TWK_APP_SUPPORT_PATH=C:/Users/David/AppData/Roaming/RV;C:/Program Files (x86)/Tweak/RV-3.12.15-32/plugins
TWK_APP_VERSION=3.12.15
**************** Build Info ************************
OS: WINDOWS
Arch: IA32
Compiler: VC10
*****************************************************

3 条评论

  • 0
    Avatar
    Jon Morley

    UPDATE (19 Oct 2015): As of RV 6.2.4, PySide modules are distributed with RV.   Please use these to extend RV with Python/Qt, rather than trying to compile your own.

     


     

    Hi David,

    We do not distribute PySide or PyQt and we distribute pysidedock.py only as an example and still requires you to install PySide. Here is further reading about Python and the UI in RV. See question/answer number 5:


    https://support.shotgunsoftware.com/entries/96048808

     

    We cannot distribute PyQt due to licensing restrictions and it is by far the more popular Python to Qt binding, so we do not distribute PySide at this time.

  • 0
    Avatar
    Pumplerod

    I understand neither PySide or PyQt are included with rv, I have PySide up and running on my machine and am able to write applications using the module.  However, when I try to load the pysidedock example I am told that the module cannot be found.

    ImportError: No module named PySide.QtCore

     

    If it makes a difference, I'm running on OS X.

     

    I suspect this is because rv is using it's own version of python.  How do I link the modules I have installed with rv's python distribution?

  • 0
    Avatar
    Jon Morley

    Hi,

    You will need to get the version of PySide that matches both the version of Python that RV uses as well at Qt. You can find the version of Python by running py-interp from the same directory as RV64 in the RV64.app/Contents/MacOS directory. You can determine the Qt version from the About RV dialog.

    Please let me know if you have any trouble finding that information.

    Thanks,
    Jon

请先登录再写评论。